$: << File.dirname(__FILE__)
require "connect"
require "logger"

#ActiveRecord::Base.logger = Logger.new(STDOUT)

require "rubygems"
require_gem "activerecord"

class Order < ActiveRecord::Base


 ActiveRecord::Callbacks::CALLBACKS.each do |cb|
    define_method(cb) { puts "#{cb}"}
  end

#  before_save { puts "in hook" }

#  def before_save
#    puts "BEFORE SAVE"
#  end
end
puts "========="

Order.create
o = Order.find(1)
puts "========="
o.save
